<?php 
    $wp_customize->add_section(
        'banner_area',
        array(
            'title' => __( 'Banner Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'banner_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'banner_area_disable',
            array(
                'settings'      => 'banner_area_disable',
                'section'       => 'banner_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 
    
backgroundManager($wp_customize, 'banner', 'banner_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'bannerarea_padding', 'banner_area', 'Section Padding:');

$wp_customize->add_setting(
    'banner_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'banner_areaTpadding',
    array(
        'settings'      => 'banner_areaTpadding',
        'section'       => 'banner_area',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'banner_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '11em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'banner_areaBpadding',
    array(
        'settings'      => 'banner_areaBpadding',
        'section'       => 'banner_area',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'Bannerbox_clr', 'banner_area', 'Section Box Background Color ', '#001b42');
addColorPalatOption($wp_customize, 'Bannerboxbrd_clr', 'banner_area', 'Section Box Border Color ', '#ff5317');

//Left Side
lzCustomLable($wp_customize, 'bannera_lhs', 'banner_area', 'Left Barcode Image Setting:');

$wp_customize->add_setting(
    'barcode_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'barcode_image',
        array(
            'section' => 'banner_area',
            'settings' => 'barcode_image',
            'description' => __('Recommended Image Size: 150X150px', 'luzuk-premium')
        )
    )
);

$wp_customize->add_setting(
    'bannerimgtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Apple/android !' )
    )
);
$wp_customize->add_control(
    'bannerimgtitle',
    array(
        'settings'      => 'bannerimgtitle',
        'section'       => 'banner_area',
        'type'          => 'text',
        'label'         => __( 'Barcode Image Title', 'Luzuk Theme' )
    )
);
addColorPalatOption($wp_customize, 'Barcode_title', 'banner_area', 'Barcode Image Title Color ', '#fff');

$wp_customize->add_setting(
    'bannerimgtext',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Scan for connect' )
    )
);
$wp_customize->add_control(
    'bannerimgtext',
    array(
        'settings'      => 'bannerimgtext',
        'section'       => 'banner_area',
        'type'          => 'text',
        'label'         => __( 'Barcode Image Text', 'Luzuk Theme' )
    )
);

addColorPalatOption($wp_customize, 'Barcode_text', 'banner_area', 'Barcode Image Text Color ', '#ff5317');

$wp_customize->add_setting(
    'banner_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'banner_title_heading',
        array(
            'settings'      => 'banner_title_heading',
            'section'       => 'banner_area',
            'label'         => __( 'Section Heading', 'luzuk-premium' ),
        )
    )
);    

$wp_customize->add_setting(
    'banner_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Connect with App!', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'banner_title',
    array(
        'settings'      => 'banner_title',
        'section'       => 'banner_area',
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'bnrara_title', 'banner_area', 'Section Heading Color ', '#fff');

    $wp_customize->add_setting(
        'banner_text',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor is incididunt ut labore et dolore magna aliqua connect our app.', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'banner_text',
        array(
            'settings'      => 'banner_text',
            'section'       => 'banner_area',
            'type'          => 'textarea',
            'label'         => __( 'Section Text', 'luzuk-premium' )
        )
    );

addColorPalatOption($wp_customize, 'bnrara_txt', 'banner_area', 'Section Text Color ', '#fff');

lzCustomLable($wp_customize, 'bannerarea_button_display', 'banner_area', 'Button Display & Text Setting:');
// to show & hide another button
$wp_customize->add_setting( 'bannerarea_button' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'bannerarea_button', array( 'label' => 'Button Display', 'section' => 'banner_area', 'settings' => 'bannerarea_button', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button

$wp_customize->add_setting(
    'bannerareabutton',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Details' )
    )
);
$wp_customize->add_control(
    'bannerareabutton',
    array(
        'settings'      => 'bannerareabutton',
        'section'       => 'banner_area',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'Luzuk Theme' )
    )
);
$wp_customize->add_setting('bannerareabuttonlink',   array('default'=> 'add Button link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('bannerareabuttonlink',
    array(
        'settings'      => 'bannerareabuttonlink',
        'section'       => 'banner_area',
        'type'          => 'url',
        'label'         => __( 'Button Url', 'Luzuk Theme' )
    )
);

addColorPalatOption($wp_customize, 'bnrara_btntxt', 'banner_area', 'Button Text Color ', '#fff');

addColorPalatOption($wp_customize, 'bnrara_btntxthv', 'banner_area', 'Button Text Hover Color ', '#ff5317');

addColorPalatOption($wp_customize, 'bnrara_btnicnbrd', 'banner_area', 'Button Background Color ', '#ff5317');

addColorPalatOption($wp_customize, 'bnrara_btnicnbrdhv', 'banner_area', 'Button Background Hover Color ', '#fff');

lzCustomLable($wp_customize, 'aboutarea_rhs', 'banner_area', 'Section Right Side Image Setting:');

$wp_customize->add_setting(
    'app_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'app_image',
        array(
            'section' => 'banner_area',
            'settings' => 'app_image',
            'description' => __('Recommended Image Size: 450X300px', 'luzuk-premium')
        )
    )
);

addColorPalatOption($wp_customize, 'bnrara_rhsimghvclr', 'banner_area', 'Section Right Side Image Hover Color ', '#ff5317');